# Generated from sensu-plugins-http-6.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sensu-plugins-http

Name: rubygem-%{gem_name}
Version: 6.1.0
Release: 1%{?dist}
Summary: Sensu plugins for various http monitors and metrics
License: MIT
URL: https://github.com/sensu-plugins/sensu-plugins-http
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(github-markup) >= 3.0
# BuildRequires: rubygem(github-markup) < 4
# BuildRequires: rubygem(json) >= 2.3
# BuildRequires: rubygem(json) < 3
# BuildRequires: rubygem(kitchen-docker) >= 2.6
# BuildRequires: rubygem(kitchen-docker) < 3
# BuildRequires: rubygem(kitchen-localhost) >= 0.3
# BuildRequires: rubygem(kitchen-localhost) < 1
# BuildRequires: rubygem(kitchen-vagrant) >= 1.3
# BuildRequires: rubygem(kitchen-vagrant) < 2
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(redcarpet) >= 3.2
# BuildRequires: rubygem(redcarpet) < 4
# BuildRequires: rubygem(rspec) >= 3.1
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.79.0
# BuildRequires: rubygem(rubocop) < 0.80
# BuildRequires: rubygem(test-kitchen) >= 1.25.0
# BuildRequires: rubygem(test-kitchen) < 1.26
# BuildRequires: rubygem(yard) >= 0.9.11
# BuildRequires: rubygem(yard) < 0.10
BuildArch: noarch

%description
This plugin provides native HTTP instrumentation
for monitoring and metrics collection, including:
response code, JSON response, HTTP last modified,
SSL expiry, and metrics via `curl`.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/check-http-json.rb
%{_bindir}/check-http-cors.rb
%{_bindir}/check-head-redirect.rb
%{_bindir}/check-https-cert.rb
%{_bindir}/check-last-modified.rb
%{_bindir}/check-http.rb
%{_bindir}/metrics-http-json.rb
%{_bindir}/metrics-http-json-deep.rb
%{_bindir}/metrics-curl.rb
%{_bindir}/metrics-libcurl.rb
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Wed Sep 15 2021 mockbuilder - 6.1.0-1
- Initial package
